$(document).ready(function(){

	// Gradient progress bar
	$('a.myLink').click(function() {
		
		// fade in progress bar
		// container
		$('#container').animate({
			
			opacity: 1.0
			
		}, 'slow', function() {
			
			$('#myDiv').css({
					
				 // add border with jQuery
				 // so thin line doesn't
				 // show up on page before
				 // animation fires
				 
				 // border important to UI style
				 // also: set initial width
				 border: '1px solid #398dba',
				 width: '10px'
				
			}).animate({
				
				// animate progress bar width
				// set duration to 4050
				width: '100px'
				
				// fade progress bar out
			}, 4050 ).animate({
				
				// change to 'show' to inspect UI
				opacity: 'hide'
				
			}, 'slow', function() {
				
				// change opacity value in fadeTo()
				// code to inspect UI
				$('#container').fadeTo('slow', 0.0);
				
			});
			
			
		});
		
	// Simplified version below
	
		/*
	$('#myDiv').css({
					
				 // add border with jQuery
				 // so thin line doesn't
				 // show up on page before
				 // animation fires
				 
				 // border important to UI style
				 border: '1px solid #398dba'
				
			}).animate({
				
				// animate progress bar width
				width: '100px'
				
				// fade progress bar out
				// remove call to 
				// fadeTo() to inspect UI
			}, 2050 ).fadeTo(1000, 0.0);
			*/
			
	   }); // end of .click
	   
	   
	   
	   // HUD or popover style progress bar
	   
	   
	   $('a.myLinkTwo').click(function() {
		   
		   // set initial width
		   $('#progressBar').css({
			   	
			   	width: '20px'
			   	
		   }).animate({
			   // animate width
			   width: '148px'
			   
		   }, 4050);
		   
		   
		   
	   });
	   

});